import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.sql.*;

public class esitLisaja extends HttpServlet {
	Connection cn;
	Statement st;
	String lause, user, pass, esit, web;
	ResultSet rs;
	boolean yhendus=false;
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
		PrintWriter valja = vastus.getWriter();
		valja.println("<html><head><title>.o0|ESITAJA LISAMINE|0o.</title></head><body>");
		valja.println("<center><h2>Esitaja Lisamine</h2></center><br/>");
		//KASUTAJANIME JA PAROOLI KÜSIMINE (KUI NEID VEEL POLE)
		user=kysimus.getParameter("u");
		pass=kysimus.getParameter("p");
		if(user!=null && pass!=null && user.length()!=0 && pass.length()!=0){
			try{
				Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
				cn=DriverManager.getConnection("jdbc:odbc:plaadikogu", user, pass);
				if(!cn.isClosed()){yhendus=true;}
			}catch(Exception e){}
		}
		if(yhendus==true){
			valja.println("<h3>Sisesta uus esitaja</h3><br/><form><table>");
			//PEAB PASSI ja USERIT MEELES//
			valja.println("<input type='hidden' name='u' value='"+user+"' >");
			valja.println("<input type='hidden' name='p' value='"+pass+"' >");
			//PEAB PASSI ja USERIT MEELES//
			valja.println("<tr><td>Esitaja</td><td><input type='text' name='esit'></td></tr>");
			valja.println("<tr><td>Veebilehekülg</td><td><input type='text' name='web'></td></tr>");
			valja.println("<tr><td><input type='submit' value='Lisa'></td></tr>");
			valja.println("</table></form>");
			//LISAMINE
			esit=kysimus.getParameter("esit");
			web=kysimus.getParameter("web");
			if(esit!=null && web!=null && esit.length()!=0 && web.length()!=0){
				lause="INSERT INTO esitajad (Nimi, Veebileht) VALUES ('"+esit+"','"+web+"')";
				try{
					//valja.println("Käivitati päring: "+lause);
					st=cn.createStatement();
					st.executeUpdate(lause);
					valja.println("Esitaja lisamine õnnestus! <br/>");
				}catch(Exception e){valja.println("Tekkis viga: "+e);}
			}else{
				valja.println("Sisesta kõik andmed");
			}
		}else{
			valja.println("Õigused puuduvad");
		}
		valja.println("<br/><a href='looLisaja?u="+user+"&p="+pass+"'>TAGASI</a>");
		valja.println("</body></html>");
		try{cn.close();}catch(Exception e){valja.println("Tekkis viga: "+e);}
	}	
}